Skip to content

API reference

DM reply rate

stats_dm_replies — Messages sent, replies received and reply rate / time over the period (same numbers as the Stats page).

stats_dm_replies · Reads saved data

Messages sent, replies received and reply rate / time over the period (same numbers as the Stats page).

REST GET /api/public/v1/stats/dm
MCP tool stats_dm_replies
Permission needed view — Owner, Manager, Operator, Viewer
Scope group reports:read
Group Reports
Shown up front in profiles Reports

Input

Field Type Required Description
account string (1–100 chars) No The X account to use: its X-Buddy account_id (from account_list) or its @handle. Ambiguous names return candidates instead of guessing.
from string (date-time) No Start (ISO 8601). Default: 7 days ago.
to string (date-time) No End (ISO 8601). Default: now.

Result

Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.

Example

Call over REST

curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/stats/dm" \
  -H "Authorization: Bearer $XBUDDY_API_KEY"

Call over MCP

{
  "method": "tools/call",
  "params": {
    "name": "stats_dm_replies",
    "arguments": {}
  }
}

Errors you may get

Back to all operations